Subject: Re: accupuncture/shiatsu

From: sister <[email-masked]>
Date: Sat, 18 Mar 1995 01:55:35 -0800 (PST)

Look around for a beginners Hatha Yoga class. It will do your spine more 
long term good, for less $, than anything else I have ever heard of. Very 
good for general health also. If you cannot find a class, get a video or 
book and begin on your own. Be very gentle with yourself as it is easy to 
hurt yourself by overstretching when you are first learning.

This is not to knock the disciplines mentioned. I use them all and I am a 
LMP myself. But no amount of treatment can make up for those long hours 
of sitting at a desk without moving your spine. Good luck and I hope you 
feel better soon.
-k

On Sat, 11 Mar 1995, HURLBUT, KELLI PALOM wrote:

> does anyone know of a good acupuncturist, shiatsu or massage
> therapist in athens or atlanta, georgia?  i have pretty intense
> upper to middle back and neck pain by the end of the day (i am
> a student)  any recommendations would be appreciated.
> kelli
> [email-masked]
> 
> 
>